Name: xnetcfg
Version: 2.0
Release: 19%{?dist}
Summary: KDE frontend for configuring network ethernet interface
URL: http://www.redflag-linux.com
Source0: xnetcfg.tgz
Source1: rfnetstat.tgz
Source2: xnetware_ja.po.bz2
Source3: rfnetstat_ja.po.bz2
Source4: xnetware_ko.po.bz2
Source5: rfnetstat_ko.po.bz2
Source6: xnetware.security
Source7: xnetware.pam
Source8: rfnetstat.security
Source9: rfnetstat.pam

## Aternate Command Names ##
Source10: set-hw-network

Patch1: xnetcfg-2.0-sysfs.patch
Patch2: xnetcfg-2.0-semctl.patch
Patch3: only_writeback_modified_conf.patch
Patch4: check-pcmcia.patch
Patch5: xnetcfg-2.0-interface.patch
Patch6: xnetcfg-2.0-speed-memleak.patch
Patch7: xnetcfg-2.0-fix-connect.patch
Patch8: xnetcfg-2.0-remove-device.patch
Patch9: xnetcfg-2.0-fix-ifcfg-eth?.patch
Patch10: xnetcfg-2.0-fix-network-config.patch
Patch11: xnetcfg-2.0-add-e1000e-and-igb-support.patch

Requires: usermode >= 1.36
License: GPL
Group: Applications/Publishing
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
xnetcfg is a KDE frontend for configuring the network ethernet interface


%prep
%setup  -q -c -a 1
bzip2 -dc %{SOURCE2} > xnetcfg/xnetcfg/xnetware_ja.po
bzip2 -dc %{SOURCE3} > rfnetstat/src/rfnetstat_ja.po
bzip2 -dc %{SOURCE4} > xnetcfg/xnetcfg/xnetware_ko.po
bzip2 -dc %{SOURCE5} > rfnetstat/src/rfnetstat_ko.po
#%ifarch ppc ppc64 ppc64iseries ppc64pseries
%patch1 -p1
#%endif
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"

unset QTDIR && . /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib

cd xnetcfg
msgfmt xnetcfg/xnetware.po -o xnetcfg/xnetware.mo
msgfmt xnetcfg/xnetware_ja.po -o xnetcfg/xnetware_ja.mo
msgfmt xnetcfg/xnetware_ko.po -o xnetcfg/xnetware_ko.mo
msgfmt xnetcfg/xnetware_tw.po -o xnetcfg/xnetware_tw.mo
./configure --prefix=/usr --libdir=%{_libdir}
make
gcc -O2 xnetcfg/restart.c -o xnetcfg/restart
cd -
cd rfnetstat
msgfmt src/rfnetstat.po -o src/rfnetstat.mo
msgfmt src/rfnetstat_tw.po -o src/rfnetstat_tw.mo
msgfmt src/rfnetstat_ja.po -o src/rfnetstat_ja.mo
msgfmt src/rfnetstat_ko.po -o src/rfnetstat_ko.mo
./configure --prefix=/usr --libdir=%{_libdir}
make
cd -

%install
rm -rf $RPM_BUILD_ROOT
cd xnetcfg
mkdir -p %{buildroot}/usr/share/xnetware/
mkdir -p %{buildroot}/usr/share/locale/zh_CN/LC_MESSAGES
mkdir -p %{buildroot}/usr/share/locale/zh_TW/LC_MESSAGES
mkdir -p %{buildroot}/usr/share/locale/ja/LC_MESSAGES
mkdir -p %{buildroot}/usr/share/locale/ko/LC_MESSAGES
mkdir -p %{buildroot}/boot
install -s -m 755 xnetcfg/restart %{buildroot}/usr/share/xnetware/
install -s -m 755 xnetcfg/xnetcfg %{buildroot}/usr/share/xnetware/
install -m 644 xnetcfg/xnetware.mo %{buildroot}/usr/share/locale/zh_CN/LC_MESSAGES
install -m 644 xnetcfg/xnetware_tw.mo %{buildroot}/usr/share/locale/zh_TW/LC_MESSAGES/xnetware.mo
install -m 644 xnetcfg/xnetware_ja.mo %{buildroot}/usr/share/locale/ja/LC_MESSAGES/xnetware.mo
install -m 644 xnetcfg/xnetware_ko.mo %{buildroot}/usr/share/locale/ko/LC_MESSAGES/xnetware.mo
install -m 644 xnetcfg/module-info %{buildroot}/boot
mkdir -p %{buildroot}/usr/sbin
(cd %{buildroot}/usr/sbin ; ln -s ../share/xnetware/xnetcfg xnetware)
mkdir -p %{buildroot}/usr/bin
(cd %{buildroot}/usr/bin ; ln -s consolehelper xnetware)
cd -
cd rfnetstat
install -s -m 755 src/rfnetstat  %{buildroot}/usr/sbin
install -m 644 src/rfnetstat.mo %{buildroot}/usr/share/locale/zh_CN/LC_MESSAGES
install -m 644 src/rfnetstat_tw.mo %{buildroot}/usr/share/locale/zh_TW/LC_MESSAGES/rfnetstat.mo
install -m 644 src/rfnetstat_ko.mo %{buildroot}/usr/share/locale/ko/LC_MESSAGES/rfnetstat.mo
install -m 644 src/rfnetstat_ja.mo %{buildroot}/usr/share/locale/ja/LC_MESSAGES/rfnetstat.mo
mkdir -p %{buildroot}/usr/share/autostart
install -m 644 src/rfnetstat.desktop %{buildroot}/usr/share/autostart
/bin/cp icons %{buildroot}/usr/share -rf
cd %{buildroot}/usr/bin
ln -s consolehelper rfnetstat
cd -
mkdir -p %{buildroot}/etc/security/console.apps/
mkdir -p %{buildroot}/etc/pam.d/
install -m 644 %{SOURCE6} %{buildroot}/etc/security/console.apps/xnetware
install -m 644 %{SOURCE7} %{buildroot}/etc/pam.d/xnetware
install -m 644 %{SOURCE8} %{buildroot}/etc/security/console.apps/rfnetstat
install -m 644 %{SOURCE9} %{buildroot}/etc/pam.d/rfnetstat

## Aternate Command Names ##
install -m 755 %{SOURCE10} %{buildroot}/usr/bin

%files
%defattr(-,root,root)
/boot/*
%{_bindir}/*
%{_datadir}/*/*/*/*/*.png
%{_sbindir}/xnetware
%{_sbindir}/rfnetstat
%{_datadir}/locale/*/*/*.mo
%{_datadir}/xnetware
%exclude /usr/share/autostart/
/etc/pam.d/rfnetstat
/etc/pam.d/xnetware
/etc/security/console.apps/rfnetstat
/etc/security/console.apps/xnetware

%clean
rm -rf $RPM_BUILD_ROOT 

%changelog
* Wed May 13 2009 Shu Li <shu.li@asianux.com> 2.0-19%{?dist}
- add Patch#11 to add e1000e and igb support (AXBug#6238)

* Tue Apr 28 2009 jojo <luoqian@redflag-linux.com> 2.0-18%{?dist}
- add Patch#9 and Patch#10, modify networksetting files to add the more
   information about the configuration in network (AXSBug#5133)

* Wed Mar 11 2009 Shu Li <shu.li@asianux.net> 2.0-17%{?dist}
- add Patch#8 for remove device function (AXBug#5137)

* Tue Jul 22 2008 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-16%{?dist}
- add Patch#7 for some server to determine the connection (AXBug#4705)

* Tue Jun 24 2008 Xiao Liu <xiaoliu@redflag-linux.com> 2.0-15%{?dist}
- remove old Patch#6 to add rfnetstat
- add new Patch#6 to resolve memory leak in rfnetstat
- when remove network interface will restart network service (Bug#4404)
- add 1000Mbps support (Bug#3529)

* Tue Apr 15 2008 Nam, Kwonwoo <kwnam@haansoft.com> 2.0-14%{?dist}
- change Aternate Command Names (SOURCE10) for display some message 
  when command run without X - bugzilla 4103

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 2.0-13%{?dist}
- add Aternate Command Names (SOURCE10) - bugzilla 3978
  set-hw-network

* Tue Feb 28 2008 Hua Jie <jiehua@redflag-linux.com> 2.0-12%{?dist}
- add source and patch and modify spec file based on 2.0-11AX
- remove rfnetstat(patch6)
- using consolehelper to get root permission for normal users.

* Wed Aug 01 2007 Nam, Kwonwoo <kwnam@haansoft.com> 2.0-11AX
- update Korean translation (source 4, 5)

* Tue Jul 17 2007 Shu Li <shuli@redflag-linux.com> 2.0-10AX
- add xnetcfg-2.0-interface.patch to midify the interface .

* Fri Jul 13 2007 Ryoji Kamei <kamei@miraclelinux.com> 2.0-9AX
- Update Japanese translation (#3250)
- Trivial fix for %files section to avoid file duplication warning

* Tue May 08 2007 Diancheng Wang <dcwang@redflag-linux.com> 2.0-8AX
- add patch3, only write back to configuration files which setting changed
- add patch4, try to start service pcmcia if the service file exists

* Thu Apr 05 2007 Hua Jie <jiehua@redflag-linux.com> 2.0-7AX
- change License to GPL
- remove Vendor and Packager

* Wed Jun 08 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-6AX
- remove rfnetstat.desktop
- add Korean translation

* Thu May 26 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-5AX
- add Traditional Chinese message files

* Wed Apr  6 2005 Xu Xiaojing <xjxu@redflag-linux.com> 2.0-4AX
- add patch 1 for ppc platform
- support x86_64

* Thu Sep 9 2004 Jian Meng <jianmeng@redflag-linux.com> 2.0-1
- Add rfnetstat

* Mon Aug 9 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-19
- Add ascii and nonspace adjust in domain name

* Thu Jul 1 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-18
- Add nohup to restart network, avoid shutting down when first start

* Thu May 13 2004 Jian Meng <jianmeng@redflag-linux.com> 1.0-17
- Fix crashing when adding a new dhcp adapter when the same eth number

* Tue Apr 20 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-16
- update module-info

* Fri Sep 5 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-14
- Add main argument for whether start unique application
- Add module-info for scan hardware
- Add ja.xnetware.mo

* Fri Jul 11 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-13
- fix a wild pointer problem occured when remove a netadapter(find hosts)

* Tue Jun 23 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-11
- fix the problem of that adding a custom module netadapter can't modify eth number

* Tue Jun 19 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-8
- fix the bug of after updating the ip address, /etc/hosts still remains the old item

* Tue Jun 10 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-8
- fix the bug of crashing after double click an item and click OK end the dialog
- fix the bug of write localhost.localdomain and current IP in hosts

* Tue Jun 10 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-7
- fix the bug of can't stop network when remove net adaters.

* Tue May 20 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-6
- add wirte-file-fail detect

* Tue May 20 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-5
- fix the bug that can not recognize dcop status

* Thu May 15 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-3
- Reconstruct codes, optimized some.

* Wed May 14 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-2
- Add binding multi IP support

* Tue May 13 2003 Jian Meng <jianmeng@redflag-linux.com> 1.0-1
- Rewrite almost all
- Replace read/write setting interface
- Add route and ip forward support

* Fri Mar 14 2003 Jian Meng <jianmeng@redflag-linux.com> 0.8-4
- add custom module selection

* Thu Jan 9 2003 Jian Meng <jianmeng@redflag-linux.com> 0.8-3
- fixed PCMCIA adpter not exist in adapter list at the beginning

* Fri Nov 29 2002 Jian Meng <jianmeng@redflag-linux.com> 0.8-2
- Show main window after configurate.
- Translate main window.

* Tue Oct 12 2002 Jian Meng <jianmeng@redflag-linux.com> 0.8-1
- initial RPM
